Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set
Interface SetResourceProperties

All Known Subinterfaces:
  ResourcePropertyCollection, SetCapability

All Known Implementing Classes:
  SimpleResourcePropertyCollection, SimpleSetCapability

public interface SetResourceProperties

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `setResourceProperties(SetRequest request)` Modifies one or more property instances according to the definition of the three WS-RP write operations: Insert, Update, and Delete.

Method Detail

### setResourceProperties

    public void setResourceProperties(SetRequest request)
                               throws InvalidResourcePropertyQNameFault,
                                      InvalidModificationFault,
                                      SetResourcePropertyRequestFailedFault,
                                      UnableToModifyResourcePropertyFault,
                                      BaseFault

  Modifies one or more property instances according to the definition of the three WS-RP write operations: Insert, Update, and Delete. The operations in the request are processed in order. There is no transaction support as part of basic WS-RP, so if one operation fails, the operations that were completed before it will remain intact.

  Parameters:
    `request` - The SetResourceProperties request that contains the individual operations { Insert, Update, Delete } to perform on the document.
  Throws:
    `BaseFault` -
    - If one of the individual set operations fails. Please review the different fault cases for each set operation in the SetResourcePropertiesRequests interface.
    `InvalidResourcePropertyQNameFault`
    `InvalidModificationFault`
    `SetResourcePropertyRequestFailedFault`
    `UnableToModifyResourcePropertyFault`
  See Also:
    `SetResourceProperties`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD